import { Renderer2 } from "@angular/core";
import { Product } from "../../ecommerce/styles/product.modal";
import * as i0 from "@angular/core";
export declare class ImageLoadingComponent {
    private renderer;
    hash: string | undefined;
    imageUrl: string | undefined;
    index: number;
    product: Product | null;
    theme: "Theme1" | "Theme2" | undefined;
    private image;
    private canvas;
    constructor(renderer: Renderer2);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    private onImageLoad;
    togglePreviewImage(product: Product | null, idx: number): void;
    mouseLeave(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ImageLoadingComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ImageLoadingComponent, "image-loading", never, { "hash": { "alias": "hash"; "required": false; }; "imageUrl": { "alias": "imageUrl"; "required": false; }; "index": { "alias": "index"; "required": false; }; "product": { "alias": "product"; "required": false; }; "theme": { "alias": "theme"; "required": false; }; }, {}, never, never, true, never>;
}
